=== debian/watch ===
version=3
http://verplant.org/liboping/files/ liboping-(.*)\.tar\.gz
