=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.14.13), autotools-dev,
+Build-Depends: debhelper (>= 8),
+	dh-autoreconf,
 	chrpath,
 	perl, perl-modules,
 	libncurses5-dev
@@ -58,4 +59,3 @@
  "ping packets") and measuring the time that elapses until the reception of an
  ICMP ECHO_REPLY packet (also known as "pong"). It supports pinging multiple
  hosts in parallel using IPv4 or IPv6 transparently.
-
