=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBPERL_VERSION := $(shell \
 pm_ver=$$(perl -MExtUtils::MM -e 'print MM->parse_version("bindings/perl/lib/Net/Oping.pm");'); \
 pkg_ver=$$(dpkg-parsechangelog | egrep '^Version:' | cut -d' ' -f2); \
 echo -n "$${pkg_ver%-*}-$${pm_ver}-$${pkg_ver\#\#*-}")

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --with autoreconf --parallel

.PHONY: $(dh_targets)

override_dh_autoreconf:
	-mkdir -p m4
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-perl-bindings="INSTALLDIRS=vendor"

override_dh_auto_build:
	dh_auto_build
	chrpath --delete bindings/perl/blib/arch/auto/Net/Oping/Oping.so

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/oping/usr/bin/oping debian/oping/usr/bin/noping

override_dh_gencontrol:
	dh_gencontrol -Nlibnet-oping-perl
	dh_gencontrol -plibnet-oping-perl -- -v$(LIBPERL_VERSION)
