## liboping 1.7.0

=== debian/changelog ===
liboping (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Remove quilt patches, functionality is upstream
  * Bump standards version, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Oct 2014 06:56:06 +0100

liboping (1.6.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use executable d/libnet-oping-perl.install file, expanding paths with
    $Config{vendorarch}.
    (Closes: #752710)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:44:16 +0200

liboping (1.6.2-6) unstable; urgency=medium

  * build dependency on pkg-config (closes: 749058)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 17:02:04 +0100

liboping (1.6.2-5) unstable; urgency=medium

  * merge upstream mods
  * enable "pkg-config oping"

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 May 2014 23:19:13 +0100

liboping (1.6.2-4) unstable; urgency=low

  * always rebuild man pages (closes: 733341)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Jan 2014 13:44:56 +0000

liboping (1.6.2-3) unstable; urgency=medium

  * prettyping patch requires swizzling build dependency from libncurses
    to libncursesw (oops!)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 15:44:51 +0100

liboping (1.6.2-2) unstable; urgency=low

  * remove phony target declarations from debian/rules (closes: #720008)
  * dh 9
  * bump standards version
  * remove unused/uninformative debian/ files: *.dirs, liboping.docs, README
  * stop installing docs COPYING, INSTALL, NEWS, replicated upstream changelog
  * print rpath before deleting it (when none, can remove chrpath removal code)
  * enable multiarch support
  * add quilt patch with prettyping support (closes: #731207)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Dec 2013 16:58:42 +0100
