=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
 	dh-autoreconf,
+	pkg-config,
 	chrpath,
 	perl, perl-modules,
-	libncurses5-dev
-Standards-Version: 3.9.2
+	libncursesw5-dev
+Standards-Version: 3.9.6
 Homepage: http://verplant.org/liboping/
 Vcs-Git: git://git.tokkee.org/pkg-liboping.git
 Vcs-Browser: http://git.tokkee.org/?p=pkg-liboping.git
@@ -16,6 +17,8 @@
 Package: liboping-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: liboping0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: liboping0-dev
 Replaces: liboping0-dev
@@ -27,6 +30,8 @@
 
 Package: liboping0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C/C++ library to generate ICMP ECHO_REQUESTs
  liboping features pinging multiple hosts in parallel using IPv4 or IPv6
@@ -37,6 +42,7 @@
 Package: oping
 Section: net
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, liboping0 (>= ${source:Upstream-Version}),
  ${misc:Depends}
 Description: sends ICMP_ECHO requests to network hosts
@@ -52,6 +58,7 @@
 Package: libnet-oping-perl
 Section: perl
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${perl:Depends}, ${shlibs:Depends},
  liboping0 (>= ${source:Upstream-Version}), ${misc:Depends}
 Description: module for ICMP latency measurement
