## liboping 1.8.0

=== debian/changelog ===
liboping (1.8.0-2build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 03:34:59 +0000

liboping (1.8.0-2) unstable; urgency=medium

  * Accept audible ping patch (closes: #801068)
  * Regenerating package should fix gzip timestamp issue (closes: #749708)
  * Swizzle packaging repo pointer to active package maintenance repo
  * Remove build dependency on perl-modules per lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Oct 2015 13:59:13 +0100

liboping (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2014 22:26:38 +0000
