=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 	dh-autoreconf,
 	pkg-config,
 	chrpath,
-	perl, perl-modules,
+	perl,
 	libncursesw5-dev
 Standards-Version: 3.9.6
-Homepage: http://verplant.org/liboping/
-Vcs-Git: git://git.tokkee.org/pkg-liboping.git
-Vcs-Browser: http://git.tokkee.org/?p=pkg-liboping.git
+Homepage: http://noping.cc
+Vcs-Git: git://github.com/barak/liboping.git
+Vcs-Browser: https://github.com/barak/liboping
 
 Package: liboping-dev
 Section: libdevel
