=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,8 @@
  pkg_ver=$$(dpkg-parsechangelog | egrep '^Version:' | cut -d' ' -f2); \
  echo -n "$${pkg_ver%-*}-$${pm_ver}-$${pkg_ver\#\#*-}")
 
-dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
-
-$(dh_targets) %:
+%:
 	dh $@ --with autoreconf --parallel
-
-.PHONY: $(dh_targets)
 
 override_dh_autoreconf:
 	-mkdir -p m4
@@ -23,7 +19,9 @@
 	dh_auto_configure -- --with-perl-bindings="INSTALLDIRS=vendor"
 
 override_dh_auto_build:
+	-rm --verbose src/mans/*.[1-8] # always rebuild man pages
 	dh_auto_build
+	-chrpath --list bindings/perl/blib/arch/auto/Net/Oping/Oping.so
 	chrpath --delete bindings/perl/blib/arch/auto/Net/Oping/Oping.so
 
 override_dh_fixperms:
