=== debian/watch ===
version=3
http://noping.cc/files liboping-(.*)\.tar\.gz
