## liboping 1.9.0

=== debian/changelog ===
liboping (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Jul 2016 15:26:03 +0200
