=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 LIBPERL_VERSION := $(shell \
  pm_ver=$$(perl -MExtUtils::MM -e 'print MM->parse_version("bindings/perl/lib/Net/Oping.pm");'); \
@@ -10,10 +12,6 @@
 
 %:
 	dh $@ --with autoreconf --parallel
-
-override_dh_autoreconf:
-	-mkdir -p m4
-	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-perl-bindings="INSTALLDIRS=vendor"
