## liboping 1.10.0

=== debian/changelog ===
liboping (1.10.0-5) unstable; urgency=medium

  * [d4b6a3a] Fix build with -Werror=format-security (Closes: #997189)
  * [2f3779d] Add a gitlab ci config
  * [df697b1] Update debian/.gitlab-ci.yml file
  * [fa5cded] Better name for patch file
  * [f55af9f] Remove local-options setting
  * [9297f59] Integrate old dpkg-source local changes
  * [e4bf957] Use a clean upstream source to build from.
  * [b70b39d] Refreshing patches
  * [0dd7db8] Fix another string format issue.
  * [7b522a0] Use gbp settings as defaults
  * [8b0dc93] Adding myself to uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Feb 2022 09:53:24 +0100

liboping (1.10.0-4) unstable; urgency=high

  * Bump debhelper from old 12 to 13.
  * Fix FTBFS by rejiggering perl version generation (closes: #963416)
  * Tell dh_missing to not worry about *.la files
  * Bump standards version
  * Mark perl package multi-arch: same per multi-arch hinter

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jul 2020 22:37:07 +0100

liboping (1.10.0-3) unstable; urgency=medium

  * Swizzle packaging repo to salsa
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * ACK/merge NMU (thanks Axel!)
  * Use setcap instead of setuid on binaries (closes: #804784)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jan 2020 09:20:18 +0000

liboping (1.10.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply upstream patch to fix FTBFS with GCC 8. (Closes: #897790)
  * Create debian/clean with src/mans/*.[38] to be able to build twice in
    a row.

 -- Axel Beckert <abe@debian.org>  Tue, 31 Jul 2018 22:15:09 +0200

liboping (1.10.0-2) unstable; urgency=medium

  * Bump policy
  * dh11
  * Merge upstream bug fixes and suid fix a88c51f3 (closes: #864184)
  * Secure some URLs
  * Obay arbitrary lintian dictates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Mar 2018 13:57:02 +0000

liboping (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * dh10

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 May 2017 22:12:19 +0100
