=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
-Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
-	dh-autoreconf,
+Uploaders: Barak A. Pearlmutter <bap@debian.org>, Bernd Zeimetz <bzed@debian.org>
+Build-Depends: debhelper-compat (= 13),
 	pkg-config,
 	chrpath,
 	perl,
 	libncursesw5-dev
-Standards-Version: 3.9.8
-Homepage: http://noping.cc
-Vcs-Git: git://github.com/barak/liboping.git
-Vcs-Browser: https://github.com/barak/liboping
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://noping.cc
+Vcs-Git: https://salsa.debian.org/debian/liboping.git
+Vcs-Browser: https://salsa.debian.org/debian/liboping
 
 Package: liboping-dev
 Section: libdevel
@@ -58,6 +58,7 @@
 Package: libnet-oping-perl
 Section: perl
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${perl:Depends}, ${shlibs:Depends},
  liboping0 (>= ${source:Upstream-Version}), ${misc:Depends}
