=== debian/watch ===
version=4
https://github.com/octo/liboping/tags \
 .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
